<?
/*
 *
 * marathon.php
 *
 * Returns details from the 2009 Boston Marathon results
 * in JSON format.
 *
 * Dan Armendariz
 * Computer Science E-75
 * Harvard Extension School
 *
 */

// set the content type
header("Content-type: application/json");

// define the data's structure
$desc = 
	array('race','pos','name','country','time');

// 20 Apr 2009 results from http://www.baa.org/
$results = array( places => array(
	array('Women Open','1','Salina Kosgei','Kenya','2:32:16'),
	array('Women Open','2','Dire Tune','Ethiopia','2:32:17'),
	array('Women Open','3','Kara Goucher','USA','2:32:25'),
	array('Women Open','4','Bezunesh Bekele','Ethiopia','2:33:08'),
	array('Women Open','5','Helena Kirop','Kenya','2:33:24'),
	array('Women Open','6','Lidiya Grigoryeva','Russia','2:34:20'),
	array('Women Open','7','Atsede Habtamu','Ethiopia','2:35:34'),
	array('Women Open','8','Colleen S. De Reuck','USA','2:35:37'),
	array('Women Open','9','Alice Timbilili','Kenya','2:36:25'),
	array('Women Open','10','Alina Ivanova','Russia','2:36:50'),
	array('Men Open','1','Deriba Merga','Ethiopia','2:08:42'),
	array('Men Open','2','Daniel Rono','Kenya','2:09:32'),
	array('Men Open','3','Ryan Hall','USA','2:09:40'),
	array('Men Open','4','Tekeste Kebede','Ethiopia','2:09:49'),
	array('Men Open','5','Robert Cheruiyot','Kenya','2:10:06'),
	array('Men Open','6','Gashaw Asfaw','Ethiopia','2:10:44'),
	array('Men Open','7','Solomon Molla','Ethiopia','2:12:02'),
	array('Men Open','8','Evans Cheruiyot','Kenya','2:12:45'),
	array('Men Open','9','Stephen Kiogora','Kenya','2:13:00'),
	array('Men Open','10','Timothy Cherigat','Kenya','2:13:04'),
	array('Women Wheelchair','1','Wakako Tsuchida','Japan','1:54:37'),
	array('Women Wheelchair','2','Diane Roy','Canada','2:01:27'),
	array('Women Wheelchair','3','Shirley S. Reilly','USA','2:04:54'),
	array('Men Wheelchair','1','Ernst Van Dyk','South Africa','1:33:29'),
	array('Men Wheelchair','2','Masazumi Soejima','Japan','1:36:57'),
	array('Men Wheelchair','3','Roger Puigbo Verdaguer, Sr.','Spain','1:37:47')
));

foreach ($results['places'] as &$result) {
	$result = array_combine($desc,$result);
				
}

print(json_encode($results));

?>